<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activity.DetailActivity">

    <androidx.camera.view.PreviewView
        android:id="@+id/preview"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/image_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="matrix"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="25dp"
        android:layout_marginTop="25dp"
        android:src="@drawable/back"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <SeekBar
        android:id="@+id/seekbar"
        android:layout_width="0dp"
        android:layout_height="33dp"
        android:layout_marginStart="50dp"
        android:layout_marginEnd="50dp"
        android:layout_marginBottom="75dp"
        android:max="100"
        android:maxHeight="5dp"
        android:padding="10dp"
        android:progress="0"
        android:progressDrawable="@drawable/progress_gradient"
        android:thumb="@drawable/progress_thumb"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <ImageView
        android:id="@+id/flash"
        android:layout_width="65dp"
        android:layout_height="65dp"
        android:layout_marginBottom="24dp"
        android:padding="5dp"
        android:src="@drawable/disflash"
        app:layout_constraintBottom_toTopOf="@+id/camera"
        app:layout_constraintEnd_toEndOf="@+id/photo" />

    <ImageView
        android:id="@+id/camera"
        android:layout_width="65dp"
        android:layout_height="65dp"
        android:layout_marginBottom="24dp"
        android:padding="5dp"
        android:src="@drawable/camera"
        app:layout_constraintBottom_toTopOf="@+id/photo"
        app:layout_constraintEnd_toEndOf="@+id/photo" />

    <ImageView
        android:id="@+id/photo"
        android:layout_width="65dp"
        android:layout_height="65dp"
        android:layout_marginEnd="26dp"
        android:layout_marginBottom="125dp"
        android:padding="5dp"
        android:src="@drawable/photo"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>